Package org.springframework.security.acls.domain

# Interface PermissionFactory

All Known Implementing Classes:
  `DefaultPermissionFactory`

public interface PermissionFactory
Provides a simple mechanism to retrieve `Permission` instances from integer masks.

Since:
  2.0.3

## Method Summary

Modifier and Type
Method
Description
`Permission`
`buildFromMask(int mask)`
Dynamically creates a `CumulativePermission` or `BasePermission` representing the active bits in the passed mask.
`Permission`
`buildFromName(String name)`
`List<Permission>`
`buildFromNames(List<String> names)`

## Method Details

### buildFromMask

Permission buildFromMask(int mask)
Dynamically creates a `CumulativePermission` or `BasePermission` representing the active bits in the passed mask.

Parameters:
  `mask` - to build
Returns:
  a Permission representing the requested object

### buildFromName

Permission buildFromName(String name)

### buildFromNames

List<Permission> buildFromNames(List<String> names)